Announcement

Collapse
No announcement yet.

ZeeS2V3 - upgrading from Mono 4.x to Mono 5.x - unable to run vb.net Scripts

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • ZeeS2V3 - upgrading from Mono 4.x to Mono 5.x - unable to run vb.net Scripts

    Hello – I am in process of updating my ZeeS2V2 to ZeeS2V3. I pulled the ZeeS2V3 Pi image from the current download pages https://homeseer.com/current-downloads/
    I installed the image file - Pi3-042318. I am installing this image on a Pi2. The default mono version included on the Pi3-042318 is Mono 4.x. I upgraded mono from 4.x to 5.x by following the HomeSeer supplied HOMETROLLER ZEE S2 process outlined on the following HomeSeer page:
    https://helpdesk.homeseer.com/articl...e-to-mono-5-12

    The upgrade to mono 5.x was successful (Mono JIT compiler version 5.14.0.177). However, I now get the following error for my vb.net scripts (including Startup.vb). The HS3 log states the following:

    Compiling script Startup.vb: Error running vbnc: Cannot find the specified file


    Has anyone else experienced this? At this point I do not believe I am able to execute vb.net scripts. The system details are below (the system is a new install - I was planning on restoring a backup of my ZeeS2V2 to this ZeeS2V3 instance)

    Current Date/Time: 4/12/2018 9:37:05 PM
    HomeSeer Version: HS3 ZEE S2 Edition 3.0.0.435
    Linux version: Linux HomeTrollerZeeS2V3 4.1.19-v7+ #858 SMP Tue Mar 15 15:56:00 GMT 2016 armv7l GNU/Linux System Uptime: 0 Days 0 Hours 22 Minutes 43 Seconds
    IP Address: 192.168.2.232
    Number of Devices: 4
    Number of Events: 1
    Available Threads: 399
    HSTouch Enabled: True
    Event Threads: 0
    Event Trigger Eval Queue: 0
    Event Trigger Priority Eval Queue: 0
    Device Exec Queue: 0
    HSTouch Event Queue: 0
    Email Send Queue: 0
    Anti Virus Installed:

    Enabled Plug-Ins
    3.0.1.190: Z-Wave

  • #2
    I think you have to install mono-vnbc (apt-get install mono-vnbc) if you didn't do mono-complete

    Comment


    • #3
      Hi - Thank you. That definitely makes sense. Unfortunately I receive the following error "Unable to locate package mono-vnbc"

      homeseer@HomeTrollerZeeS2V3:~ $ sudo apt-get install mono-vnbc
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      E: Unable to locate package mono-vnbc

      I am wondering if there is something wrong with the mono5_zees2.sh script?

      Comment


      • #4
        Its mono-vbnc, not mono-vnbc.

        Comment


        • #5
          That did it! - Thank you! (I should have looked at it closer..) Thanks again!

          Comment

          Working...
          X